DROP VIEW(7)

NAME
DROP VIEW - remove a view

SYNOPSIS

DROP VIEW name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP VIEW drops an existing view. To execute this command you must be the owner of the view.

PARAMETERS

name
    The name (optionally schema-qualified) of the view to remove.

CASCADE
    Automatically drop objects that depend on the view (such as other views).

RESTRICT
    Refuse to drop the view if any objects depend on it. This is the default.

EXAMPLES

This command will remove the view called kinds:

DROP VIEW kinds;

COMPATIBILITY

This command conforms to the SQL standard.

SEE ALSO
CREATE VIEW [create_view(7)]